ubuntuone-syncdaemon does local rescan for unsubscribed folder

Bug #561713 reported by Alexander Hunziker on 2010-04-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Guillermo Gonzalez
ubuntuone-client (Ubuntu)
High
dobey
Nominated for Lucid by Joshua Hoover

Bug Description

Binary package hint: ubuntuone-client

I have a large UDF (/home/Pictures) which was accidentally defined at some point in the past. It is unsubscribed now (and u1sdtool --list-folders confirms that). However, whenever I start U1, it still includes all those files in the local rescan. This causes very high HD activity for many minutes. Also, all the files stuck in the queue block the syncdaemon from operating on new files.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: ubuntuone-client 1.1.91-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
Architecture: i386
Date: Mon Apr 12 20:30:50 2010
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntuone-client
UbuntuOneOAuthLoginLog: 2010-04-11 18:46:14,540:540.977954865 ubuntuone-login Starting Ubuntu One login manager version 1.1.91
UbuntuOneSyncdaemonConfig:
 [bandwidth_throttling]
 on = False
 read_limit = 2097152
 write_limit = 2097152
UbuntuOneSyncdaemonExceptionsLog:

Related branches

Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Ubuntu One Foundations+ team (ubuntuone-foundations+)
status: New → Confirmed
Changed in ubuntuone-client (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
assignee: Ubuntu One Foundations+ team (ubuntuone-foundations+) → Guillermo Gonzalez (verterok)
Changed in ubuntuone-client:
status: New → Triaged
assignee: nobody → Guillermo Gonzalez (verterok)
importance: Undecided → High
milestone: none → lucid-final
tags: added: foundations+ package u1-lucid
Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client (Ubuntu):
assignee: Guillermo Gonzalez (verterok) → Rodney Dawes (dobey)
dobey (dobey) on 2010-04-12
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.2.0-0ubuntu1

---------------
ubuntuone-client (1.2.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - TypeError: set_files_sync_enabled takes 2 arguments (LP: #555747)
    - Preferences menu icon is broken (LP: #561557)
    - u1sdtool --list-folders doesn't match Nautilus (LP: #547087)
    - AttributeError when receiving ShareChanged message (LP: #553547)
    - Sharing using contacts picker doesn't work (LP: #554269)
    - Silently fails to sync folder outside $HOME (LP: #554522)
    - Need to get public files list at start (LP: #556529)
    - Syncdaemon does local resan on unsubscribed folders (LP: #561713)
    - Start desktopcouch-service when authorizing (LP: #562618)
    - Errors not handled correctly (LP: #476635)
    - Switching sort order in contacts picker clears selection (LP: #551603)
    - Nautilus crashed with SIGSEGV in g_str_hash (LP: #561481)
    - DBus interface not showing full queue (LP: #557670)
    - Client does not handle TRY_AGAIN during Auth (LP: #522604)
  * Include the new logger.py in the python package. (LP: #561447)
  * Require new python-ubuntuone-storageporotocol.

  [Ken VanDine]
  * debian/patches/revert_string_change.patch
    - Revert a string change that landed to late
  * debian/rules
    - include simple-patchsys.mk
 -- Rodney Dawes <email address hidden> Thu, 15 Apr 2010 11:21:17 -0400

Changed in ubuntuone-client (Ubuntu):
status: Triaged → Fix Released
dobey (dobey) on 2010-04-19
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers